Bug 472975 - acroread missing PPKLite.api and crashes on signed PDFs
acroread missing PPKLite.api and crashes on signed PDFs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: acroread (Show other bugs)
5.2
All Linux
high Severity medium
: rc
: ---
Assigned To: Marek Kašík
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 16:31 EST by K. Scott Rowe
Modified: 2010-01-13 11:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 11:03:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF that crashes redhat's acroread (78.23 KB, application/pdf)
2008-11-25 16:31 EST, K. Scott Rowe
no flags Details

  None (edit)
Description K. Scott Rowe 2008-11-25 16:31:05 EST
Created attachment 324672 [details]
PDF that crashes redhat's acroread

Description of problem:
acroread is missing the PPKLite.api plugin and therefore exits with a return code of "1" when trying to open digitally signed PDFs.

Version-Release number of selected component (if applicable):
acroread-8.1.3-1.el5.i386.rpm

How reproducible:
Every time.

Steps to Reproduce:
1. acroread <a digially signed PDF>
2.
3.
  
Actual results:
Exits immediatly with a return code of "1"

Expected results:
Display PDF.

Additional info:
The release notes in the RPM say...
  * Thu Jul 07 2005 Dan Williams <dcbw@redhat.com> 7.0.0-4
  - Remove PPKLite plugin (for now) because it depends on OpenLDAP libs
Perhaps it is time to put that plugin back in.  The RPM downloaded
from adobe.com does not have this problem.  I am attaching a PDF that
breaks with acroread-8.1.3 from redhat.
Comment 1 K. Scott Rowe 2009-03-25 11:01:00 EDT
I just tried acroread-8.1.4 RPM and it has the same problem.  If I copy the
PPKLite.api from the RPM released by Adobe into /usr/lib/acroread/Reader/intellinux/plug_ins, then the acroread from Redhat works as expected with
digitally signed PDFs.

Seriously, can you guys put this file back in your RPM?
Comment 8 errata-xmlrpc 2010-01-13 11:03:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0037.html

Note You need to log in before you can comment on or make changes to this bug.